QGIS Application - Bug report #9844

postgis: if owner is a group it is not possible to add/remove columns (in field calculator or vector
properties) but DB manager can

2014-03-24 12:30 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18374
Description

Take a PostGIS db and add a group, then grant this group to a user(s) and then grant the ownership of a table to the group:

- as expected DB manager can add/remove columns (so actually making an "alter table") as do does pgadmin
- using the field calculator (or the vector properties -> fields tab) it is not possible to add/remove columns

Related issues:
Related to QGIS Application - Bug report # 11538: Field Calculator cannot upd... Closed 2014-11-03

Associated revisions

Revision 18127135 - 2015-01-24 10:11 PM - Jiirgen Fischer

postgres provider: improve owner check (fixes #9844)

History

#1 - 2014-04-16 06:45 AM - Yves Jacolin

Hello,

Not sure if this issue is link to this but | have an another use case:
- Take a PostGIS db and then grant the ownership of a table to user "X", GRANT right to "Y" to allow modification of the table's structure
- connect to this DB with user "Y" in QGIS
- DB Manager and QGIS (fields tab in properties windows) can't modify the structure of the table

- PgAdmin connected with user "Y" can modify the table

Regards,

#2 - 2014-04-16 07:11 AM - Giovanni Manghi

Yves Jacolin wrote:

Hello,

Not sure if this issue is link to this but | have an another use case:
- Take a PostGIS db and then grant the ownership of a table to user "X", GRANT right to "Y" to allow modification of the table's structure
- connect to this DB with user "Y" in QGIS

- DB Manager and QGIS (fields tab in properties windows) can't modify the structure of the table

- PgAdmin connected with user "Y" can modify the table

I'm not a postgresql/postgis guru, but | always assumed that (example) a GRANT ALL is not enough to allow a user/group change a table structure. The
ownership is mandatory. In this sense | would be surprised if pgamdin allows to modify the table structure for a user/group without ownership. Is this the

case?

#3 - 2014-06-28 07:45 AM - Jiirgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority
#4 - 2015-01-24 03:40 PM - Juirgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"f8f2713571f9690ffe8b5b643c939c0c0c1650f5".
